Bug 779630 - (SOA-2000) conditional action execution
conditional action execution
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: FUTURE
Assigned To: Ken Johnson
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-19 14:35 EDT by Burr Sutter
Modified: 2011-04-08 17:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2000 None None None Never

  None (edit)
Description Burr Sutter 2010-03-19 14:35:33 EDT
project_key: SOA

Actions configured into a pipeline always execute.  I would like to see an action property, perhaps called "executionExpression" where I could inject a piece of logic that determined if the action fired or not.

For instance, let's say that I have received a XML payload, action one would first check it, to see its origin. action two would execute if the XML is from systemA and adheres to a certain format.  action three would execute if the XML is from systemB and adheres to a slightly different format and action four would execute for all other formats.

If I create a custom action I can use conditional logic but it is more challenging in the jboss-esb.xml visual editor.
Comment 1 Anne-Louise Tangring 2010-09-21 16:36:37 EDT
This was triaged for SOA 5.1.0. This is not in SOA 5.1.0

Note You need to log in before you can comment on or make changes to this bug.